<!--
  Generated template for the ListPesananPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <!-- <ion-navbar color="2primary">
    <ion-title>List Pesanan</ion-title>
    <img src="assets/img/tbm.png">
  </ion-navbar> -->

  <ion-navbar color="2primary">
      <div class="androidHeader">
        <ion-title *ngIf="platformStatus == 'android'">
          <img src="assets/img/tbm.png" style="width: 3rem" >
            <b>{{ tampungnamai }}</b>
        </ion-title>
      </div>
     
      <ion-buttons end>
        <button ion-button icon-only (click)="ionViewDidLoad()">
            <ion-icon name='refresh'></ion-icon>
        </button>
      </ion-buttons>
      
      <ion-title *ngIf="platformStatus == 'ios'">
          List Pesanan
      </ion-title>
      <div class="logoHeader" *ngIf="platformStatus == 'ios'">
          <img src="assets/img/tbm.png">
      </div>

  </ion-navbar>
</ion-header>


<ion-content>
<!-- DIV PESANAN DALAM PROSES -->
<div class="pesananDalamProses" *ngIf="tampungiuntuktembak == 1">
  <ion-list>
    <div *ngFor="let y of pesananlist">
      <button ion-item (click)="goToDetailPesanan(y,z)"  *ngFor="let z of y">
        <ion-icon name="{{ tampungiconi }}" color="{{ tampungcolori }}" item-start></ion-icon>
        <p>{{ z.f1 }}</p>
        <ion-note item-end>{{ z.f5 }} box</ion-note>
      </button>
    </div>
  </ion-list>
  <button ion-button block (click)="validasipageke()" *ngIf="flagLoadData == true">Selanjutnya</button>
  <!-- <ion-infinite-scroll (ionInfinite)="doInfinite($event)" distance="10%">
    <ion-infinite-scroll-content 
    loadingSpinner="bubbles"
    loadingText="Loading more data...">  
    </ion-infinite-scroll-content>
  </ion-infinite-scroll> -->
</div>
<!-- ============================== -->

<!-- DIV PESANAN DITOLAK -->
<div class="pesananDalamProses" *ngIf="tampungiuntuktembak == 2">
  <ion-list>
    <div *ngFor="let y of pesananlist">
      <button ion-item (click)="goToDetailPesanan(y,z)"  *ngFor="let z of y">
        <ion-icon name="{{ tampungiconi }}" color="{{ tampungcolori }}" item-start></ion-icon>
        <p>{{ z.f1 }}</p>
        <ion-note item-end>{{ z.f5 }} box</ion-note>
      </button>
    </div>
  </ion-list>
  <button ion-button block (click)="validasipageke()" *ngIf="flagLoadData == true">Selanjutnya</button>
  <!-- <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll> -->
</div>
<!-- ============================== -->

<!-- DIV PESANAN DIKIRIM -->
<div class="pesananDalamProses" *ngIf="tampungiuntuktembak == 3">
  <ion-list>
    <div *ngFor="let y of pesananlist">
      <button ion-item (click)="goToDetailPesanan(y,z)"  *ngFor="let z of y">
        <ion-icon name="{{ tampungiconi }}" color="{{ tampungcolori }}" item-start></ion-icon>
        <p>{{ z.f1 }}</p>
        <ion-note item-end>{{ z.f5 }} box</ion-note>
      </button>
    </div>
  </ion-list>
  <button ion-button block (click)="validasipageke()" *ngIf="flagLoadData == true">Selanjutnya</button>
  <!-- <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll> -->
</div>
<!-- ============================== -->

<!-- DIV PESANAN TERKIRIM -->
<div class="pesananDalamProses" *ngIf="tampungiuntuktembak == 4">
 <ion-list>
    <div *ngFor="let y of pesananlist">
      <button ion-item (click)="goToDetailPesanan(y,z)"  *ngFor="let z of y">
        <ion-icon name="{{ tampungiconi }}" color="{{ tampungcolori }}" item-start></ion-icon>
        <p>{{ z.f1 }}</p>
        <ion-note item-end>{{ z.f5 }} box</ion-note>
      </button>
    </div>
  </ion-list>
  <button ion-button block (click)="validasipageke()" *ngIf="flagLoadData == true">Selanjutnya</button>
  <!-- <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll> -->
</div>
<!-- ============================== -->
</ion-content>
